Bug 125516 - Query for files reports packages
Summary: Query for files reports packages
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-08 13:52 UTC by Michael Schröder
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-27 20:50:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (375 bytes, patch)
2004-06-08 13:53 UTC, Michael Schröder
no flags Details | Diff

Description Michael Schröder 2004-06-08 13:52:57 UTC
The query code checks the package provides for strings that 
don't contain slashes. This leads to false reports: 
 
$ cd /tmp 
$ touch rpm 
$ rpm -qf rpm 
rpm-4.3.1-0.3

Comment 1 Michael Schröder 2004-06-08 13:53:30 UTC
Created attachment 100964 [details]
Proposed patch

Comment 2 Jeff Johnson 2004-10-17 19:10:40 UTC
Hmmm, this doesn't reproduce for me with rpm HEAD.

Do you perhaps have
    Provides: /bin/rpm
in your rpm package?

Comment 3 Michael Schröder 2004-11-19 15:42:46 UTC
Every package provides its own package name. I don't know why you 
cannot reproduce it, I can do so on Fedora. 

Comment 4 Matthew Miller 2005-04-26 16:27:16 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 5 Matthew Miller 2005-04-26 17:50:20 UTC
FWIW, I can reproduce this problem too on FC3.

Comment 6 Paul Nasrat 2005-04-26 22:18:01 UTC
Just trying to reproduce on rawhide-ish.

[pauln@anu ~]$ cd /tmp
[pauln@anu tmp]$ touch rpm
[pauln@anu tmp]$ rpm -qf rpm
file /tmp/rpm is not owned by any package
[pauln@anu tmp]$ rpm -q rpm
rpm-4.4.1-9

Will try on FC3 in the morning.

Comment 7 Paul Nasrat 2005-09-27 20:50:03 UTC
Can't reproduce on rawhide. please reopen if you are still experiencing this on
FC4/rawhide


Note You need to log in before you can comment on or make changes to this bug.